%global commit        4d469a3d37c21353fbd6bb306ce707dc4151fd1e
%global shortcommit   %(c=%{commit}; echo ${c:0:7})

Name:           go-compilers
Version:        1
Release:        %mkrel 4
Summary:        Go language compilers for various architectures
Group:          Development/Tools
License:        GPLv3+
Source0:        https://github.com/gofed/go-macros/archive/%{commit}/go-macros-%{shortcommit}.tar.gz

%description
The package provides correct golang language compiler
base on an architectures.

%package golang-compiler
Summary:       compiler for golang
BuildRequires: golang
Requires:      golang
Requires:      golist
Provides:      compiler(go-compiler) = 2
Provides:      compiler(golang)

%description golang-compiler
Compiler for golang.

%prep
%setup -q -n go-macros-%{commit}
%autopatch -p1

%install
# executables
install -m 755 -D bin/go-rpm-integration %{buildroot}%{_bindir}/go-rpm-integration
install -m 755 -D rpm/gobundled.prov %{buildroot}%{_rpmconfigdir}/gobundled.prov
install -m 755 -D rpm/gosymlink.deps %{buildroot}%{_rpmconfigdir}/gosymlink.deps
# macros
install -m 644 -D rpm/macros.d/macros.go-compilers-golang %{buildroot}%{_rpmconfigdir}/macros.d/macros.go-compilers-golang
install -m 644 -D rpm/macros.d/macros.go-rpm %{buildroot}%{_rpmconfigdir}/macros.d/macros.go-rpm
# attrs
install -m 644 -D rpm/fileattrs/go.attr %{buildroot}%{_rpmconfigdir}/fileattrs/go.attr
install -m 644 -D rpm/fileattrs/gobundled.attr %{buildroot}%{_rpmconfigdir}/fileattrs/gobundled.attr
install -m 644 -D rpm/fileattrs/gosymlink.attr %{buildroot}%{_rpmconfigdir}/fileattrs/gosymlink.attr

%files golang-compiler
%{_rpmconfigdir}/macros.d/macros.go-compilers-golang
%{_rpmconfigdir}/macros.d/macros.go-rpm
%{_rpmconfigdir}/gobundled.prov
%{_rpmconfigdir}/gosymlink.deps
%{_rpmconfigdir}/fileattrs/go.attr
%{_rpmconfigdir}/fileattrs/gobundled.attr
%{_rpmconfigdir}/fileattrs/gosymlink.attr
%{_bindir}/go-rpm-integration



%changelog
* Sun Oct 25 2020 pterjan <pterjan> 1-4.mga8
+ Revision: 1639460
- Drop golist which is in its own package

* Fri Feb 14 2020 umeabot <umeabot> 1-3.mga8
+ Revision: 1520298
- Mageia 8 Mass Rebuild

* Sun Nov 18 2018 pterjan <pterjan> 1-2.mga7
+ Revision: 1331405
- Fix undefined macro

* Sun Nov 18 2018 pterjan <pterjan> 1-1.mga7
+ Revision: 1331098
- imported package go-compilers

